Bug 384513 - kmail crashed when handling mailto: URL from firefox
Summary: kmail crashed when handling mailto: URL from firefox
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.5.2
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2017-09-09 02:38 UTC by Mikel Rychliski
Modified: 2021-01-16 04:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (23.70 KB, text/plain)
2018-03-01 17:43 UTC, Reinhard Auner
Details
New crash information added by DrKonqi (23.63 KB, text/plain)
2018-03-26 15:37 UTC, Reinhard Auner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikel Rychliski 2017-09-09 02:38:59 UTC
Application: kmail (5.5.2)

Qt Version: 5.6.2
Frameworks Version: 5.32.0
Operating System: Linux 4.4.79-19-default x86_64
Distribution: "openSUSE Leap 42.3"

-- Information about the crash:
- What I was doing when the application crashed:

kmail was minimized and not being used at the time of the crash. The crash occured after clicking a mailto: url in firefox. OpenSUSE 42.3, KDE plasma desktop. Nothing appeared from kmail before the crash.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7419884940 (LWP 22081))]

Thread 22 (Thread 0x7f7399ffb700 (LWP 22268)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f74036edd10 in mojo::system::Waiter::Wait(unsigned long, unsigned int*) () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f74036db7bb in mojo::system::Core::WaitManyInternal(unsigned int const*, unsigned int const*, unsigned int, unsigned long, unsigned int*, mojo::system::HandleSignalsState*) () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f74036dba35 in mojo::system::Core::WaitMany(mojo::system::UserPointer<unsigned int const>, mojo::system::UserPointer<unsigned int const>, unsigned int, unsigned long, mojo::system::UserPointer<unsigned int>, mojo::system::UserPointer<MojoHandleSignalsState>) () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f74036d8327 in MojoWaitMany () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f7404fb31ca in mojo::common::MessagePumpMojo::DoInternalWork(mojo::common::MessagePumpMojo::RunState const&, bool) () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f7404fb34e1 in mojo::common::MessagePumpMojo::DoRunLoop(mojo::common::MessagePumpMojo::RunState*, base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f7404fb35d2 in mojo::common::MessagePumpMojo::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f740c72c744 in start_thread (arg=0x7f7399ffb700) at pthread_create.c:334
#13 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7f739a7fc700 (LWP 22267)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7403892189 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f740389294d in base::SequencedWorkerPool::Worker::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f7403893170 in base::SimpleThread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f740c72c744 in start_thread (arg=0x7f739a7fc700) at pthread_create.c:334
#6  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7f739affd700 (LWP 22240)):
#0  0x00007f74169b220d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f73fbec80a1 in  () at /usr/lib64/libpulse.so.0
#2  0x00007f73fbeb976c in pa_mainloop_poll () at /usr/lib64/libpulse.so.0
#3  0x00007f73fbeb9dde in pa_mainloop_iterate () at /usr/lib64/libpulse.so.0
#4  0x00007f73fbeb9e90 in pa_mainloop_run () at /usr/lib64/libpulse.so.0
#5  0x00007f73fbec8006 in  () at /usr/lib64/libpulse.so.0
#6  0x00007f73f6c26408 in  () at /usr/lib64/pulseaudio/libpulsecommon-9.0.so
#7  0x00007f740c72c744 in start_thread (arg=0x7f739affd700) at pthread_create.c:334
#8  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7f739b7fe700 (LWP 22239)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7403888cbf in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f7403888d94 in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f740386b62b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f740c72c744 in start_thread (arg=0x7f739b7fe700) at pthread_create.c:334
#9  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7f739bfff700 (LWP 22238)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f740328e979 in cc::TaskGraphRunner::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f7403893170 in base::SimpleThread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f740c72c744 in start_thread (arg=0x7f739bfff700) at pthread_create.c:334
#5  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7f73b0ff9700 (LWP 22237)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7403888cbf in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f7403888d94 in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f740386b62b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f740c72c744 in start_thread (arg=0x7f73b0ff9700) at pthread_create.c:334
#9  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7f73b17fa700 (LWP 22236)):
#0  0x00007f74169ae2ed in write () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f7416944840 in _IO_new_file_write (f=0x7f7416c6f060 <_IO_2_1_stderr_>, data=0x7f73b17f6b80, n=39) at fileops.c:1263
#2  0x00007f7416943e63 in new_do_write (fp=fp@entry=0x7f7416c6f060 <_IO_2_1_stderr_>, data=data@entry=0x7f73b17f6b80 "[warn] epoll_wait: Bad file descriptor\n", to_do=to_do@entry=39) at fileops.c:518
#3  0x00007f7416944e46 in _IO_new_file_xsputn (f=0x7f7416c6f060 <_IO_2_1_stderr_>, data=<optimized out>, n=39) at fileops.c:1342
#4  0x00007f741691bb1b in buffered_vfprintf (s=s@entry=0x7f7416c6f060 <_IO_2_1_stderr_>, format=format@entry=0x7f73fa91c791 "[%s] %s\n", args=args@entry=0x7f73b17f9158) at vfprintf.c:2367
#5  0x00007f7416918e8e in _IO_vfprintf_internal (s=s@entry=0x7f7416c6f060 <_IO_2_1_stderr_>, format=format@entry=0x7f73fa91c791 "[%s] %s\n", ap=ap@entry=0x7f73b17f9158) at vfprintf.c:1292
#6  0x00007f74169c8aa3 in ___fprintf_chk (fp=0x7f7416c6f060 <_IO_2_1_stderr_>, flag=flag@entry=1, format=format@entry=0x7f73fa91c791 "[%s] %s\n") at fprintf_chk.c:35
#7  0x00007f73fa904fdf in fprintf (__fmt=0x7f73fa91c791 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#8  0x00007f73fa904fdf in event_log (msg=0x7f73b17f9240 "epoll_wait: Bad file descriptor", severity=2) at log.c:222
#9  0x00007f73fa904fdf in _warn_helper (severity=severity@entry=2, errstr=0x7f7416a365a6 "Bad file descriptor", fmt=fmt@entry=0x7f73fa91cf6a "epoll_wait", ap=ap@entry=0x7f73b17f9678) at log.c:187
#10 0x00007f73fa9051b7 in event_warn (fmt=fmt@entry=0x7f73fa91cf6a "epoll_wait") at log.c:101
#11 0x00007f73fa909468 in epoll_dispatch (base=0x7f73a0001950, tv=<optimized out>) at epoll.c:413
#12 0x00007f73fa8f5477 in event_base_loop (base=0x7f73a0001950, flags=1) at event.c:1607
#13 0x00007f74038488e1 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f7402f20c95 in content::BrowserThreadImpl::IOThreadRun(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#17 0x00007f7402f20dab in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#18 0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#19 0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#20 0x00007f740c72c744 in start_thread (arg=0x7f73b17fa700) at pthread_create.c:334
#21 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7f73b1ffb700 (LWP 22235)):
#0  0x00007f74169c6eab in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f74169c8a46 in ___fprintf_chk (fp=0x7f7416c70740 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f73fa91c791 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f73fa904fdf in fprintf (__fmt=0x7f73fa91c791 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  0x00007f73fa904fdf in event_log (msg=0x7f73b1ffa240 "epoll_wait: Bad file descriptor", severity=2) at log.c:222
#4  0x00007f73fa904fdf in _warn_helper (severity=severity@entry=2, errstr=0x7f7416a365a6 "Bad file descriptor", fmt=fmt@entry=0x7f73fa91cf6a "epoll_wait", ap=ap@entry=0x7f73b1ffa678) at log.c:187
#5  0x00007f73fa9051b7 in event_warn (fmt=fmt@entry=0x7f73fa91cf6a "epoll_wait") at log.c:101
#6  0x00007f73fa909468 in epoll_dispatch (base=0x7f739c001960, tv=<optimized out>) at epoll.c:413
#7  0x00007f73fa8f5477 in event_base_loop (base=0x7f739c001960, flags=2) at event.c:1607
#8  0x00007f740384884e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f7402f20c15 in content::BrowserThreadImpl::CacheThreadRun(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f7402f20e0b in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f740c72c744 in start_thread (arg=0x7f73b1ffb700) at pthread_create.c:334
#16 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7f73b27fc700 (LWP 22234)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7403888cbf in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f7403888d94 in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f740386b62b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f7402f20b95 in content::BrowserThreadImpl::ProcessLauncherThreadRun(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f7402f20dfb in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f740c72c744 in start_thread (arg=0x7f73b27fc700) at pthread_create.c:334
#11 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7f73b2ffd700 (LWP 22233)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7403888cbf in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f7403888d94 in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f740386b62b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f7402f20b15 in content::BrowserThreadImpl::FileUserBlockingThreadRun(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f7402f20deb in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f740c72c744 in start_thread (arg=0x7f73b2ffd700) at pthread_create.c:334
#11 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7f73b37fe700 (LWP 22232)):
#0  0x00007f74169c6eab in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f74169c8a46 in ___fprintf_chk (fp=0x7f7416c70740 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f73fa91c791 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f73fa904fdf in fprintf (__fmt=0x7f73fa91c791 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  0x00007f73fa904fdf in event_log (msg=0x7f73b37fd240 "epoll_wait: Bad file descriptor", severity=2) at log.c:222
#4  0x00007f73fa904fdf in _warn_helper (severity=severity@entry=2, errstr=0x7f7416a365a6 "Bad file descriptor", fmt=fmt@entry=0x7f73fa91cf6a "epoll_wait", ap=ap@entry=0x7f73b37fd678) at log.c:187
#5  0x00007f73fa9051b7 in event_warn (fmt=fmt@entry=0x7f73fa91cf6a "epoll_wait") at log.c:101
#6  0x00007f73fa909468 in epoll_dispatch (base=0x7f73a4001960, tv=<optimized out>) at epoll.c:413
#7  0x00007f73fa8f5477 in event_base_loop (base=0x7f73a4001960, flags=2) at event.c:1607
#8  0x00007f740384884e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f7402f20a95 in content::BrowserThreadImpl::FileThreadRun(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f7402f20ddb in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f740c72c744 in start_thread (arg=0x7f73b37fe700) at pthread_create.c:334
#16 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f73b3fff700 (LWP 22231)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7403888cbf in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f7403888d94 in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f740386b62b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f7402f20a15 in content::BrowserThreadImpl::DBThreadRun(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f7402f20dcb in content::BrowserThreadImpl::Run(base::MessageLoop*) () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f740c72c744 in start_thread (arg=0x7f73b3fff700) at pthread_create.c:334
#11 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f73c9fc3700 (LWP 22228)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f7403888cbf in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f7403888d94 in base::WaitableEvent::Wait() () at /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f740386b62b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f740c72c744 in start_thread (arg=0x7f73c9fc3700) at pthread_create.c:334
#9  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f73ca7c4700 (LWP 22227)):
#0  0x00007f74169c6eab in __lll_lock_wait_private () at ../sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:95
#1  0x00007f74169c8a46 in ___fprintf_chk (fp=0x7f7416c70740 <_IO_stdfile_2_lock>, flag=flag@entry=1, format=format@entry=0x7f73fa91c791 "[%s] %s\n") at fprintf_chk.c:30
#2  0x00007f73fa904fdf in fprintf (__fmt=0x7f73fa91c791 "[%s] %s\n", __stream=<optimized out>) at /usr/include/bits/stdio2.h:97
#3  0x00007f73fa904fdf in event_log (msg=0x7f73ca7c3590 "epoll_wait: Bad file descriptor", severity=2) at log.c:222
#4  0x00007f73fa904fdf in _warn_helper (severity=severity@entry=2, errstr=0x7f7416a365a6 "Bad file descriptor", fmt=fmt@entry=0x7f73fa91cf6a "epoll_wait", ap=ap@entry=0x7f73ca7c39c8) at log.c:187
#5  0x00007f73fa9051b7 in event_warn (fmt=fmt@entry=0x7f73fa91cf6a "epoll_wait") at log.c:101
#6  0x00007f73fa909468 in epoll_dispatch (base=0x7f73bc001960, tv=<optimized out>) at epoll.c:413
#7  0x00007f73fa8f5477 in event_base_loop (base=0x7f73bc001960, flags=2) at event.c:1607
#8  0x00007f740384884e in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f740387bc12 in base::RunLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f74038676b5 in base::MessageLoop::Run() () at /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f74038934f0 in base::Thread::ThreadMain() () at /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f740388fece in base::(anonymous namespace)::ThreadFunc(void*) () at /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f740c72c744 in start_thread (arg=0x7f73ca7c4700) at pthread_create.c:334
#14 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f73dbfff700 (LWP 22110)):
#0  0x00007f74170a5543 in QAtomicOps<QMutexData*>::testAndSetRelease<QMutexData*> (currentValue=<synthetic pointer>, newValue=0x0, expectedValue=0x1, _q_value=...) at ../../src/corelib/arch/qatomic_cxx11.h:169
#1  0x00007f74170a5543 in QBasicAtomicPointer<QMutexData>::testAndSetRelease(QMutexData*, QMutexData*, QMutexData*&) (currentValue=<synthetic pointer>: <optimized out>, newValue=0x0, expectedValue=0x1, this=this@entry=0x1b3d248) at ../../src/corelib/thread/qbasicatomic.h:278
#2  0x00007f74170a5543 in QBasicMutex::fastTryUnlock(QMutexData*&) (current=<synthetic pointer>: <optimized out>, this=this@entry=0x1b3d248) at thread/qmutex.h:85
#3  0x00007f74170a5543 in QMutex::unlock() (this=this@entry=0x1b3d248) at thread/qmutex.cpp:271
#4  0x00007f74172bf7d5 in QMutexLocker::unlock() (this=<synthetic pointer>) at ../../src/corelib/thread/qmutex.h:138
#5  0x00007f74172bf7d5 in QMutexLocker::~QMutexLocker (this=<synthetic pointer>, __in_chrg=<optimized out>) at ../../src/corelib/thread/qmutex.h:132
#6  0x00007f74172bf7d5 in QThreadData::canWaitLocked() (this=0x1b3d220) at ../../src/corelib/thread/qthread_p.h:247
#7  0x00007f74172bf7d5 in postEventSourcePrepare (timeout=<synthetic pointer>, s=0x7f73d40012d0) at kernel/qeventdispatcher_glib.cpp:253
#8  0x00007f74172bf7d5 in postEventSourceCheck(GSource*) (source=0x7f73d40012d0) at kernel/qeventdispatcher_glib.cpp:263
#9  0x00007f740bf11da1 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#10 0x00007f740bf122a8 in  () at /usr/lib64/libglib-2.0.so.0
#11 0x00007f740bf1242c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#12 0x00007f74172bf1ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f73d40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#13 0x00007f741726cbfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f73dbffec90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#14 0x00007f74170a7f5a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#15 0x00007f74170aca29 in QThreadPrivate::start(void*) (arg=0x1a80770) at thread/qthread_unix.cpp:365
#16 0x00007f740c72c744 in start_thread (arg=0x7f73dbfff700) at pthread_create.c:334
#17 0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f73e187c700 (LWP 22104)):
#0  0x00007f74169b220d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f740bf12314 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f740bf1242c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f74172bf1ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f73dc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:419
#4  0x00007f741726cbfb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f73e187bc60, flags=..., flags@entry=...) at kernel/qeventloop.cpp:206
#5  0x00007f74170a7f5a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:500
#6  0x00007f7415951295 in  () at /usr/lib64/libQt5DBus.so.5
#7  0x00007f74170aca29 in QThreadPrivate::start(void*) (arg=0x7f7415bbace0) at thread/qthread_unix.cpp:365
#8  0x00007f740c72c744 in start_thread (arg=0x7f73e187c700) at pthread_create.c:334
#9  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f73e2736700 (LWP 22102)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f73eb54c203 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f73eb54bd87 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f740c72c744 in start_thread (arg=0x7f73e2736700) at pthread_create.c:334
#4  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f73e2f37700 (LWP 22101)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f73eb54c203 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f73eb54bd87 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f740c72c744 in start_thread (arg=0x7f73e2f37700) at pthread_create.c:334
#4  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f73e3738700 (LWP 22100)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f73eb54c203 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f73eb54bd87 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f740c72c744 in start_thread (arg=0x7f73e3738700) at pthread_create.c:334
#4  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f73e3f39700 (LWP 22099)):
#0  0x00007f740c7310bf in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f73eb54c203 in  () at /usr/lib64/dri/swrast_dri.so
#2  0x00007f73eb54bd87 in  () at /usr/lib64/dri/swrast_dri.so
#3  0x00007f740c72c744 in start_thread (arg=0x7f73e3f39700) at pthread_create.c:334
#4  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f73f0fe1700 (LWP 22085)):
#0  0x00007f74169b220d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f7409c043e2 in  () at /usr/lib64/libxcb.so.1
#2  0x00007f7409c05fcf in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007f73f2ac40d9 in  () at /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f74170aca29 in QThreadPrivate::start(void*) (arg=0x18aa750) at thread/qthread_unix.cpp:365
#5  0x00007f740c72c744 in start_thread (arg=0x7f73f0fe1700) at pthread_create.c:334
#6  0x00007f74169baaad in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f7419884940 (LWP 22081)):
[KCrash Handler]
#6  0x00007f740782a03f in std::__atomic_base<int>::operator++() (this=0x1) at /usr/include/c++/4.8/bits/atomic_base.h:404
#7  0x00007f740782a03f in QAtomicOps<int>::ref<int> (_q_value=...) at /usr/include/qt5/QtCore/qatomic_cxx11.h:134
#8  0x00007f740782a03f in QBasicAtomicInteger<int>::ref() (this=0x1) at /usr/include/qt5/QtCore/qbasicatomic.h:127
#9  0x00007f740782a03f in QSharedPointer<QtWebEngineCore::BrowserContextAdapter>::ref() const (this=<optimized out>) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:543
#10 0x00007f740782a03f in QSharedPointer<QtWebEngineCore::BrowserContextAdapter>::QSharedPointer (other=..., this=0x7ffd4bded4a0) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:319
#11 0x00007f740782a03f in QWebEngineProfilePrivate::browserContext() const (this=<optimized out>) at api/qwebengineprofile_p.h:73
#12 0x00007f740782a03f in QWebEnginePagePrivate::browserContextAdapter() (this=0x1badd00) at api/qwebenginepage.cpp:492
#13 0x00007f740248e78e in QtWebEngineCore::WebContentsDelegateQt::DidNavigateAnyFrame(content::RenderFrameHost*, content::LoadCommittedDetails const&, content::FrameNavigateParams const&) (this=0x1c78df0, render_frame_host=<optimized out>, details=..., params=...) at /usr/src/debug/qtwebengine-opensource-src-5.6.2/src/core/web_contents_delegate_qt.cpp:351
#14 0x00007f7403043466 in content::WebContentsImpl::DidNavigateAnyFramePostCommit(content::RenderFrameHostImpl*, content::LoadCommittedDetails const&, FrameHostMsg_DidCommitProvisionalLoad_Params const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f740311f498 in content::NavigatorImpl::DidNavigate(content::RenderFrameHostImpl*, FrameHostMsg_DidCommitProvisionalLoad_Params const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f7402f4d4a1 in content::RenderFrameHostImpl::OnDidCommitProvisionalLoad(IPC::Message const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#17 0x00007f7402f54911 in content::RenderFrameHostImpl::OnMessageReceived(IPC::Message const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#18 0x00007f7402fc77a1 in content::RenderProcessHostImpl::OnMessageReceived(IPC::Message const&) [clone .part.235] () at /usr/lib64/libQt5WebEngineCore.so.5
#19 0x00007f74038e9342 in IPC::ChannelProxy::Context::OnDispatchMessage(IPC::Message const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#20 0x00007f74038b831e in base::debug::TaskAnnotator::RunTask(char const*, char const*, base::PendingTask const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#21 0x00007f74038681d4 in base::MessageLoop::RunTask(base::PendingTask const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#22 0x00007f74038684b1 in base::MessageLoop::DeferOrRunPendingTask(base::PendingTask const&) () at /usr/lib64/libQt5WebEngineCore.so.5
#23 0x00007f740386b1e3 in base::MessageLoop::DoWork() () at /usr/lib64/libQt5WebEngineCore.so.5
#24 0x00007f7402491399 in WebEngineContext::destroy() (this=0x1badb00) at /usr/src/debug/qtwebengine-opensource-src-5.6.2/src/core/web_engine_context.cpp:194
#25 0x00007f74024914ed in (anonymous namespace)::destroyContext() () at /usr/src/debug/qtwebengine-opensource-src-5.6.2/src/core/web_engine_context.cpp:104
#26 0x00007f741726e0b4 in qt_call_post_routines() () at kernel/qcoreapplication.cpp:298
#27 0x00007f7417f6cdb6 in QApplication::~QApplication() () at /usr/lib64/libQt5Widgets.so.5
#28 0x0000000000403a18 in KMailApplication::~KMailApplication (this=0x7ffd4bdeee00, __in_chrg=<optimized out>) at /usr/src/debug/kmail-17.04.2/src/main.cpp:48
#29 0x0000000000403a18 in main(int, char**) (argc=2, argv=0x7ffd4bdef038) at /usr/src/debug/kmail-17.04.2/src/main.cpp:164

Reported using DrKonqi
Comment 1 Reinhard Auner 2018-03-01 17:43:50 UTC
Created attachment 111114 [details]
New crash information added by DrKonqi

kmail (5.5.2) using Qt 5.6.2

- What I was doing when the application crashed:

I ran Google Chrome, opened a website and wanted to write an e-mail.

-- Backtrace (Reduced):
#6  0x00007f1ab1bf403f in std::__atomic_base<int>::operator++() (this=0x1) at /usr/include/c++/4.8/bits/atomic_base.h:404
#7  0x00007f1ab1bf403f in QAtomicOps<int>::ref<int> (_q_value=...) at /usr/include/qt5/QtCore/qatomic_cxx11.h:134
[...]
#10 0x00007f1ab1bf403f in QSharedPointer<QtWebEngineCore::BrowserContextAdapter>::QSharedPointer (other=..., this=0x7ffd6d9cfaa0) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:319
#11 0x00007f1ab1bf403f in QWebEngineProfilePrivate::browserContext() const (this=<optimized out>) at api/qwebengineprofile_p.h:73
#12 0x00007f1ab1bf403f in QWebEnginePagePrivate::browserContextAdapter() (this=0x2887230) at api/qwebenginepage.cpp:492
Comment 2 Reinhard Auner 2018-03-26 15:37:20 UTC
Created attachment 111665 [details]
New crash information added by DrKonqi

kmail (5.5.2) using Qt 5.6.2

- What I was doing when the application crashed:

I wanted to send an e-mail with KMail out of a website.

-- Backtrace (Reduced):
#6  0x00007fda180ae03f in std::__atomic_base<int>::operator++() (this=0x2) at /usr/include/c++/4.8/bits/atomic_base.h:404
#7  0x00007fda180ae03f in QAtomicOps<int>::ref<int> (_q_value=...) at /usr/include/qt5/QtCore/qatomic_cxx11.h:134
[...]
#10 0x00007fda180ae03f in QSharedPointer<QtWebEngineCore::BrowserContextAdapter>::QSharedPointer (other=..., this=0x7ffd885660a0) at /usr/include/qt5/QtCore/qsharedpointer_impl.h:319
#11 0x00007fda180ae03f in QWebEngineProfilePrivate::browserContext() const (this=<optimized out>) at api/qwebengineprofile_p.h:73
#12 0x00007fda180ae03f in QWebEnginePagePrivate::browserContextAdapter() (this=0x222bfa0) at api/qwebenginepage.cpp:492
Comment 3 Justin Zobel 2020-12-17 05:35:41 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 4 Bug Janitor Service 2021-01-01 04:37:26 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 5 Bug Janitor Service 2021-01-16 04:36:21 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!